org.apache.uima

## Class UIMAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.InternationalizedException
      - - org.apache.uima.UIMAException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AnnotatorConfigurationException, AnnotatorContextException, AnnotatorInitializationException, AnnotatorProcessException, CASException, CollectionException, IndexingException, InvalidXMLException, ResourceAccessException, ResourceConfigurationException, ResourceInitializationException, ResourceProcessException, ResourceServiceException, ResultNotSupportedException

      public class UIMAException
      extends InternationalizedException

  This is the superclass for all exceptions in UIMA.

  `UIMAException` extends `InternationalizedException` for internationalization support. Since UIMA Exceptions are internationalized, the thrower does not supply a hardcoded message. Instead, the thrower specifies a key that identifies the message. That key is then looked up in a locale-specific `ResourceBundle` to find the actual message associated with this exception.

  The thrower may specify the name of the `ResourceBundle` in which to find the exception message. Any name may be used. If the name is omitted, the resource bundle identified by `STANDARD_MESSAGE_CATALOG` will be used. This contains the standard UIMA exception messages.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STANDARD_MESSAGE_CATALOG` The name of the `ResourceBundle` containing the standard UIMA Exception messages.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMAException()` Creates a new exception with a null message.
    `UIMAException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `STANDARD_MESSAGE_CATALOG`.
    `UIMAException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `STANDARD_MESSAGE_CATALOG`.
    `UIMAException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `UIMAException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `UIMAException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.InternationalizedException

      `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause, setResourceBundle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_MESSAGE_CATALOG

          public static final String STANDARD_MESSAGE_CATALOG

      The name of the `ResourceBundle` containing the standard UIMA Exception messages.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMAException

          public UIMAException()

      Creates a new exception with a null message.

    - #### UIMAException

          public UIMAException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMAException

          public UIMAException(String aResourceBundleName,
                               String aMessageKey,
                               Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMAException

          public UIMAException(String aResourceBundleName,
                               String aMessageKey,
                               Object[] aArguments,
                               Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMAException

          public UIMAException(String aMessageKey,
                               Object[] aArguments)

      Creates a new exception with a message from the `STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMAException

          public UIMAException(String aMessageKey,
                               Object[] aArguments,
                               Throwable aCause)

      Creates a new exception with the specified cause and a message from the `STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.